import { View } from "@tarojs/components"
import { useState } from "react"
import EstimatedAmount from "../estimatedAmount"
import styles  from './index.module.scss'

export default () => {
    const [price, setPrice] = useState(123000.33)
    return (
        <>
            <View className={styles.orders_list_con}>
                <View className={styles.order_list}>
                    <View className={styles.order_list_title}>
                        <View className={styles.tag}>大货</View>
                        <View className={styles.title}>0770# 21S单面平纹(食毛)</View>
                        <View className={styles.num}>共3种</View>
                    </View>
                    <View className={styles.order_list_scroll}>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                    </View>
                </View>
                <View className={styles.order_list}>
                    <View className={styles.order_list_title}>
                        <View className={styles.tag}>大货</View>
                        <View className={styles.title}>0770# 21S单面平纹(食毛)</View>
                        <View className={styles.num}>共3种</View>
                    </View>
                    <View className={styles.order_list_scroll}>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                    </View>
                </View>
                <View className={styles.order_estimated_amount}>
                    <EstimatedAmount number={price}/>    
                    <View className={styles.order_price_des}>（按照25kg/条, 预估金额）</View>
                </View>
            </View>
        </>
    )
}